*{
    text-decoration: none;
    list-style: none;
    scroll-behavior: smooth;
}
:root {
    --mainColor : #252734;
    --secondaryColor : #333646;
    --acsentColor: #FF9100;
}

body {
    background-color: var(--mainColor);
    min-height: 900px;
    font-family: 'Poppins', sans-serif;
}

/*  Navbar */
.nav-link.active {
    color: var(--acsentColor) !important;
    font-weight: 700;
}

.nav-dark {
    background-color: var(--secondaryColor) !important;
    z-index: 10;
    transition: 0.5s;
}

header {
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 15%;
    transition: all .50s ease;
}

.logo {
    font-size: 30px;
    color: #fff;
    font-weight: 600;
}

span{
    color: var(--acsentColor);
}

a {
    text-decoration: none;
}

.navlist {
    display: flex;
    margin-top: 3px;
    margin-bottom: 3px;
}

ul {
    list-style-type: none;
}

.navlist a {
    font-size: 1rem;
    font-weight: 500;
    color: #fff;
    margin-left: 40px;
    transition: all .50s ease;
}

.navlist a:hover {
    color: var(--acsentColor);
    text-shadow: 3px 3px 20px var(--acsentColor), -2px 1px 30px #fff;
}

#menu-icon {
    color: #fff;
    font-size: 35px;
    z-index: 10001;
    cursor: pointer;
    display: none;
}

.h-btn {
    display: inline-block;
    padding: 11px 26px;
    background: var(--acsentColor);
    color: var(--mainColor);
    border-radius: 10px;
    font-size: 15px;
    font-weight: 600;
    transition: all .50s ease;
}

.h-btn:hover {
    background: transparent ;
    color: var(--acsentColor);
    border: 2px solid var(--acsentColor);
    box-shadow: 0 0 20px var(--acsentColor);
    transform: scale(1.1);
}
/* End Navbar */

.social {
    margin-bottom: 40px;
}

.social i {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    color: var(--acsentColor);
    border-radius: 50%;
    backdrop-filter: brightness(88%);
    font-size: 20px;
    margin-right: 17px;
    box-shadow: 0 0 20px transparent;
    cursor: pointer;
    transition: all .50s ease;
}

.social i:hover{
    transform: scale(1.1);
    box-shadow: 0 0 20px var(--acsentColor);
}

.btn {
    display: inline-block;
    padding: 11px 26px;
    background: transparent;
    color: var(--acsentColor);
    border: 2px solid var(--acsentColor);
    font-size: 15px;
    font-weight: 600;
    border-radius: 10px;
    transition: all .50s ease;
    margin-left: 10px;
}

.main-btn {
    margin-bottom: 25px;
}

.about-img img {
    border-radius: 50%;
    object-fit: cover;
    border: 7px solid var(--acsentColor);
    box-shadow: 0 0 20px var(--acsentColor);
}



.btn:hover{
    background: var(--acsentColor);
    color: var(--mainColor);
    box-shadow: 0 0 20px var(--acsentColor);
}

section h1{
    color: #fff;
    font-size: 2.5rem;
}

#hero {
    color: #fff;
    min-height: 40vh;
    padding-top: 140px;
}

#hero h1 {
    font-size: 3rem;
}

#hero h2 {
    font-weight: 300;
}

#hero p {
    font-size: 1.1rem;
    font-weight: 300;
    text-align: justify;
}

/* CTA */
.btn-custom1 {
    background-color: var(--acsentColor);
    text-align: center;
    color: #fff;
    min-width: 150px;
    height: 45px;
    font-weight: 700;
    font-size: 1.2rem;
}

.btn-custom1:hover {
    box-shadow: 0 0 5px rgba(255, 166, 0, .8);
}

.cv {
    color: #fff;
    cursor: pointer;
    font-size: 1.1rem;
}

.social-icon svg {
    margin-right: .07em;
    margin-bottom: 10px;
}

hr {
    width: 35%;
    height: 5px;
    color: var(--acsentColor);
    margin: 0 auto;
    opacity: 100%;

}

#skill {
    min-height: 400px;
    width: 100%;
    color: #fff;
    padding: 20px;
}

#skill img {
    width: 12%;
    margin: 10px;
}

#skill .card {
    background-color: #414141;
    height: 340px;
}

#skill .card:hover {
    background-color: var(--acsentColor);
}

.skill-konten {
    margin-top: 120px;
}

/* Galery Portofolio */

#portofolio {
    margin-top: 10%;
}
#portofolio .container {
    padding: 80px 10px;
}

#portofolio h1 {
    color: #fff;
}

.social-icon-footer svg {
    margin-right: .7em;
    margin-bottom: 10%;
}

/* End Portofolio */

.center-text {
    text-align: center;
    color: #fff;
    /* margin-top: 5vh; */
}

.center-text h2 {
    font-size: 2.9rem;
}



.services-content {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, auto));
    align-items: center;
    gap: 2.3rem;
    margin-top: 4.2rem;
}

.box {
    padding: 80px 40px 66px;
    background: #2d343f;
    border-radius: 28px;
    border: 1px solid transparent;
    box-shadow: 0 0 5px var(--acsentColor);
    transition: all .50s ease;
    cursor: pointer;
    color: #fff;
}

.box img {
    margin-bottom: 20px;
}

.box h3 {
    font-size: 30px;
    font-weight: 700;
    margin-bottom: 10px;
}

.box p{
    font-size: 1rem;
    font-weight: 400;
    color:#fff;
    line-height: 30px;
    margin-bottom: 20px;
}

.services {
    margin-top: 10%;
    margin-left: 10%;
    margin-right: 10%;
}

.box:hover{
    border: 1px solid var(--acsentColor);
    transform: translateY(-5px) scale(1.03);
}   

.portofolio-content {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, auto));
    align-items: center;
    gap: 2.3rem;
    margin-top: 4.2rem;
    margin-left: 10%;
    margin-right: 10%;
}

.rowp img {
    height: auto;
    width: 100%;
    border-radius: 20px;
    margin-bottom: 1.4rem;
}

.rowp {
    background: #2d343f;
    border-radius: 28px;
    color: #fff;
    border: 1px solid transparent;
    box-shadow: 0 0 5px var(--acsentColor);
    padding: 20px;
    transition: all .50s ease;
}

.main-row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 0.5rem ;
}

.rowp h5 {
    font-size:  20px;
    font-weight: 600;
    color: #fff;
}

.rowp i {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 55px;
    height: 55px;
    font-size: 27px;
    border-radius: 50%;
    color: #fff;
    background:#075fe4 ;
}

.rowp h4 {
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 10px;
    line-height: 1.4;
}

.rowp:hover {
    border: 1px solid var(--acsentColor);
    transform: translateY(-5px) scale(1.03);
    cursor: pointer;
}

.contact {
    margin-top: 10%;
}

.contact-form {
    display: flex; 
    align-items: center;
    justify-content: center;
    margin-top: 4.2rem;
    margin-left: 10%;
    margin-right: 10%;
}

.contact-form form {
    position: relative;
    width: 600px;
}

form input, form textarea {
    width: 100%;
    padding: 20px;
    border: none;
    outline: none;
    box-shadow: 0 0 5px var(--acsentColor);
    background: #2d343f;
    color: #fff;
    margin-bottom: 20px;
    border-radius: 8px;
}

form input::placeholder, form textarea::placeholder {
    color: #fff;
    font-size: 15px;
}

form .send-btn {
    display: inline-block;
    padding: 11px 26px;
    background: var(--acsentColor);
    color: var(--mainColor);
    border: 2px solid var(--acsentColor);
    font-size: 15px;
    font-weight: 600;
    border-radius: 10px;
    transition: all .50s ease;
    width: 50%;
}


form .send-btn:hover {
    background: transparent;
    color: var(--acsentColor);
    box-shadow: 0 0 20px var(--acsentColor);
    cursor: pointer;
}